/* global defineEventHandler, createError */

import { orderExists, getWork } from "../[id].get";

export default defineEventHandler(async (e) => {
  const id = e.context.params?.id as string;

  if (!orderExists(id)) throw createError({ statusCode: 404 });

  const work = await getWork(id);
  return work;
});
